# Uses of Interface
waffle.windows.auth.IWindowsSecurityContext

Packages that use IWindowsSecurityContext
Package
Description
waffle.windows.auth
Waffle JNA Windows Authorization Package.
waffle.windows.auth.impl
Waffle JNA Windows Authorization Implementation Package.

## Uses of IWindowsSecurityContext in waffle.windows.auth

Methods in waffle.windows.auth that return IWindowsSecurityContext
Modifier and Type
Method
Description
`IWindowsSecurityContext`
IWindowsAuthProvider.`acceptSecurityToken(String connectionId, byte[] token, String securityPackage)`
Attempts to validate the user using an SSPI token.

## Uses of IWindowsSecurityContext in waffle.windows.auth.impl

Classes in waffle.windows.auth.impl that implement IWindowsSecurityContext
Modifier and Type
Class
Description
`class`
`WindowsSecurityContextImpl`
Windows Security Context.
Methods in waffle.windows.auth.impl that return IWindowsSecurityContext
Modifier and Type
Method
Description
`IWindowsSecurityContext`
WindowsAuthProviderImpl.`acceptSecurityToken(String connectionId, byte[] token, String securityPackage)`
`static IWindowsSecurityContext`
WindowsSecurityContextImpl.`getCurrent(String securityPackage, String targetName)`
Get the current Windows security context for a given SSPI package.